@Echo Off
REM
REM iInstallParm.cmd, version 1.0.
REM ------------------------------
REM Jesper Wachs, November 2014.
REM
REM CMD file will install a savefile containing software on an iSeries.
REM For more information, see article here http://www.wachs.dk/iinstall-cmd-an-iseries-tool
REM
REM Version 3.0, February, 2016:
REM ----------------------------
REM - 'License Agreement' text.
REM
REM Version 1.0, November 2014:
REM ---------------------------
REM - Initial version.
REM
REM Software specific configuration.
REM --------------------------------
REM Here you must set the various environment variables to the value that is
REM right for your software to be installed.
REM
REM Environment variables used and their meaning.
REM ---------------------------------------------
REM utilityname		Is the name of the software to be installed. Name is displayed during installation.
REM savf			Name of the savefile that contains the objects.
REM savfext			Extension of the savefile on pc. If savefile is named 'MySavefile.SAV' then
REM					this should be set to '.SAV'. If savefile is named 'MySavefile.SAVF' then
REM					this should be set to '.SAVF'.
REM lib				Name of library that objects was saved from.
REM rstlib			Name of library objects are to be installed into.
REM libtext			If the library does not exist and must be installed, this is the text it will be
REM					given in the description. Be ware of using ' as this tool will not expand them 
REM					correctly.
REM tbfile			If you want to install your own tools or software package into ToolBox, you
REM					must prepare a ToolBox compliant file. Include it in the objects in the savefile
REM					and place it name in this environment variable. My tools will do the rest ;-)
REM lictext1-'n'    Lines containing the License Agreement to be printed on the screen to the user.
REM                 If you want to use License Agreement, add envirenment variables conatining the text.
REM                 The last environment variable must be empty. See example for more.
REM
REM
REM Here is an example configuration. It is the config I use for the tool Create Development Library.
REM Use it for inspiration :-)
REM
REM set utilityname=Create Development Library
REM set savf=CrtDevLib
REM set savfext=.Savf
REM set lib=JWTOOLS
REM set rstlib=%lib%
REM set libtext=Tools from Jesper Wachs
REM set tbfile=CRTDEVTBPF
REM set lictext1=This tool is delivered 'as is'. No promisses made. Jesper Wachs or anyone involved in
REM set lictest2=developing and/or distributin this software can be held responsible for lost of any kind
REM set lictext3=including, but not limited to, lost of revenu, lost of business etc.
REM set lictext4=
REM
REM Below are the fields you must set to your values. 
REM
set utilityname=
set savf=
set savfext=
set lib=
set rstlib=%lib%
set libtext=
set tbfile=
set lictext1=
